%define name	JBidWatcher
%define namer	jbidwatcher
%define version 2.5.6
%define release  %mkrel 1

Name:		%{name}
Summary:	Free tools to manage e-bay auctions
Summary:	Tool zur Verwaltung von Ebay Auktionen
Version:	%{version}
Release:	%{release}
Source0:	%{name}-%{version}.tar.xz
Source1:	COPYING.html
Source2:	jbidwatch64.jpg
Url:		http://www.jbidwatcher.com/
Group:		Networking/Other
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildArch:	noarch
BuildRequires:	imagemagick
Requires:	java
License:	Creative Commons BY-NC-SA like (see license file)

%description
A tool for eBay users (eBay is a giant internet auction site, if
you don't know that I'm not sure why you're reading this :-) ).  It is a
stand alone application that can track auctions and perform automated bids
called 'snipes'.

%description -l de
Das Werkzeug für eBay-Benutzer (eBay ist eine gigantische Internet 
Auktionsseite, falls sie dies nicht wissen, was ich allerdings 
bezweifle:-)). 

Es ist eine eigenständige Anwendung, welches Auktionen beobachten 
kann und automatisierte Gebote, genannt „snipes“, unterstützt. 

Anmerkung: Sprache vom Programm ist Englisch!!!

%prep
%setup -q -n JBidWatcher-%{version}

%build

#make some install dirs
mkdir -p $RPM_BUILD_ROOT%{_bindir}
mkdir -p $RPM_BUILD_ROOT%{_datadir}/%{namer}
mkdir -p $RPM_BUILD_ROOT%{_docdir}/%{namer}
mkdir -p $RPM_BUILD_ROOT%{_datadir}/pixmaps

#install our jar file
install -m  0755 JBidwatcher-%{version}.jar $RPM_BUILD_ROOT%{_datadir}/%{namer}/JBidwatcher-%{version}.jar

# install license file
install -m 0644 %SOURCE1 $RPM_BUILD_ROOT%{_docdir}/%{namer}/COPYING.html

# install icon
convert %SOURCE2 jbidwatcher.png
install -m 0644 jbidwatcher.png $RPM_BUILD_ROOT/%{_datadir}/pixmaps/jbidwatcher.png

#create our launch wrapper script
cat > $RPM_BUILD_ROOT%{_bindir}/%{namer} <<EOF
#!/bin/sh
java -jar %{_datadir}/%{namer}/JBidwatcher-%{version}.jar

EOF

#make our launch wrapper executable
chmod +x $RPM_BUILD_ROOT%{_bindir}/*

#Menu entry
install -d -m755 %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{namer}.desktop <<EOF
[Desktop Entry]
Encoding=UTF-8
Name=%name
Comment=%summary
Comment[de]=Tool zur Verwaltung von Ebay Auktionen
Exec=%{namer}
Icon=jbidwatcher
Terminal=false
Type=Application
Categories=X-MandrivaLinux-Internet-Other
EOF


%clean
rm -rf $RPM_BUILD_ROOT

%post
%{update_desktop_database}

%postun
%{clean_desktop_database}

%files
%defattr(-,root,root,0755)
%{_bindir}/*
%{_datadir}/%{namer}/*
%{_datadir}/applications/%{namer}.desktop
%{_docdir}/%{namer}/*.html
%{_datadir}/pixmaps/*.png

%changelog
* Sun Apr 27 2015 pinoc <vogtpet at gmail.com> 2.5.6-1pclos2015
- 2.5.6

* Fri Feb 14 2014 daniel <meisssw01 at gmail.com> 2.5.5-1free2014
- upstream tarball

* Wed Jun 27 2012 Neal <nealbrks0 at gmail dot com> 2.5-1pclos2012
- process

* Wed Jun 27 2012 ghostbunny <hmhaase at pclinuxosusers dot de> 2.5-1pclos2012
- 2.5
- corrected License it's not GPL 
- added COPYING.html as source
- added install and files entry for COPYING.html
- added BuildArch: noarch
- added jbidwatch64.jpg as source
- added install and files entry for the icon

* Sun Sep 11 2011 Texstar <texstar at gmail.com> 2.1.5-1pclos2011
- 2.1.5

* Sun Jan 23 2011 leiche <meisssw01 at aol.com> 2.1.3-2leiche2010
- add german language description
- add german language comment to desktop file

* Sun Dec 05 2010 Texstar <texstar at gmail.com> 2.1.3-1pclos2010
- 2.1.3

* Sun Jun 21 2009 Texstar <texstar@gmail.com> 2.0.1-1pclos2009
- 2.0.1
 

